Upstream information

CVE-2020-13692 at MITRE

Description

PostgreSQL JDBC Driver (aka PgJDBC) before 42.2.13 allows XXE.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.7 5.6
Vector CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:L/A:H CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L
Attack Vector Network Network
Attack Complexity High High
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact Low Low
Availability Impact High Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1172746 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Image SLES15-SP1-Manager-4-0-Azure-BYOS-Server
Image SLES15-SP1-Manager-4-0-EC2-HVM-BYOS-Server
Image SLES15-SP1-Manager-4-0-GCE-BYOS-Server
  • postgresql-jdbc >= 42.2.10-3.3.1
Image SLES15-SP2-Manager-4-1-Server-BYOS-Azure
Image SLES15-SP2-Manager-4-1-Server-BYOS-EC2-HVM
Image SLES15-SP2-Manager-4-1-Server-BYOS-GCE
  • postgresql-jdbc >= 42.2.10-3.3.5
SUSE Liberty Linux 7
SUSE Liberty Linux 7 LTSS
  • postgresql-jdbc >= 9.2.1002-8.el7_8
  • postgresql-jdbc-javadoc >= 9.2.1002-8.el7_8
Patchnames:
RHSA-2020:3285
SUSE Liberty Linux 8
  • postgresql-jdbc >= 42.2.3-3.el8_2
  • postgresql-jdbc-javadoc >= 42.2.3-3.el8_2
Patchnames:
RHSA-2020:3176
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • postgresql-jdbc >= 9.4-3.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2021-599
SUSE Manager Server Module 4.0
  • postgresql-jdbc >= 42.2.10-3.3.1
Patchnames:
SUSE-SLE-Module-SUSE-Manager-Server-4.0-2020-3466
SUSE Manager Server Module 4.1
  • postgresql-jdbc >= 42.2.10-3.3.5
Patchnames:
SUSE-SLE-Module-SUSE-Manager-Server-4.1-2020-3781


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 postgresql-jdbc Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 postgresql-jdbc Released
SUSE Linux Enterprise High Performance Computing 15 SP5 postgresql-jdbc Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP6 postgresql-jdbc Already fixed
SUSE Linux Enterprise Module for Server Applications 15 SP5 postgresql-jdbc Already fixed
SUSE Linux Enterprise Module for Server Applications 15 SP6 postgresql-jdbc Already fixed
SUSE Linux Enterprise Server 12 SP5 postgresql-jdbc Released
SUSE Linux Enterprise Server 15 SP5 postgresql-jdbc Already fixed
SUSE Linux Enterprise Server 15 SP6 postgresql-jdbc Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 postgresql-jdbc Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 postgresql-jdbc Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP6 postgresql-jdbc Already fixed
SUSE Manager Proxy 4.3 postgresql-jdbc Already fixed
SUSE Manager Retail Branch Server 4.3 postgresql-jdbc Already fixed
SUSE Manager Server 4.3 postgresql-jdbc Already fixed
SUSE Manager Server Module 4.3 postgresql-jdbc Already fixed
openSUSE Leap 15.5 postgresql-jdbc Already fixed
openSUSE Leap 15.6 postgresql-jdbc Already fixed
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 SP3 postgresql-jdbc Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS postgresql-jdbc Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS postgresql-jdbc Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 postgresql-jdbc Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS postgresql-jdbc Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS postgresql-jdbc Already fixed
SUSE Linux Enterprise Module for Server Applications 15 SP3 postgresql-jdbc Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP4 postgresql-jdbc Already fixed
SUSE Linux Enterprise Server 15 SP3 postgresql-jdbc Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS postgresql-jdbc Not affected
SUSE Linux Enterprise Server 15 SP4 postgresql-jdbc Already fixed
SUSE Linux Enterprise Server 15 SP4-LTSS postgresql-jdbc Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP3 postgresql-jdbc Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 postgresql-jdbc Already fixed
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 postgresql-jdbc Released
SUSE Linux Enterprise High Performance Computing 12 SP4 postgresql-jdbc Released
SUSE Linux Enterprise Point of Sale 11 SP3 postgresql-jdbc Affected
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT postgresql-jdbc Affected
SUSE Linux Enterprise Point of Service Image Server 12 SP2 postgresql-jdbc Released
SUSE Linux Enterprise Real Time 15 SP3 postgresql-jdbc Not affected
SUSE Linux Enterprise Real Time 15 SP4 postgresql-jdbc Already fixed
SUSE Linux Enterprise Server 10 SP4-LTSS postgresql-jdbc Unsupported
SUSE Linux Enterprise Server 11 SP1 postgresql-jdbc Unsupported
SUSE Linux Enterprise Server 11 SP1-LTSS postgresql-jdbc Affected
SUSE Linux Enterprise Server 11 SP2 postgresql-jdbc Affected
SUSE Linux Enterprise Server 11 SP2-LTSS postgresql-jdbc Affected
SUSE Linux Enterprise Server 11 SP3 postgresql-jdbc Unsupported
SUSE Linux Enterprise Server 11 SP3-LTSS postgresql-jdbc Affected
SUSE Linux Enterprise Server 11 SP4 postgresql-jdbc Affected
SUSE Linux Enterprise Server 11 SP4 LTSS postgresql-jdbc Affected
SUSE Linux Enterprise Server 11 SP4-LTSS postgresql-jdbc Unsupported
SUSE Linux Enterprise Server 12 SP1 postgresql-jdbc Affected
SUSE Linux Enterprise Server 12 SP1-LTSS postgresql-jdbc Affected
SUSE Linux Enterprise Server 12 SP2 postgresql-jdbc Affected
SUSE Linux Enterprise Server 12 SP2-BCL postgresql-jdbc Released
SUSE Linux Enterprise Server 12 SP2-ESPOS postgresql-jdbc Released
SUSE Linux Enterprise Server 12 SP2-LTSS postgresql-jdbc Released
SUSE Linux Enterprise Server 12 SP3 postgresql-jdbc Affected
SUSE Linux Enterprise Server 12 SP3-BCL postgresql-jdbc Released
SUSE Linux Enterprise Server 12 SP3-ESPOS postgresql-jdbc Released
SUSE Linux Enterprise Server 12 SP3-LTSS postgresql-jdbc Released
SUSE Linux Enterprise Server 12 SP4 postgresql-jdbc Released
SUSE Linux Enterprise Server 12 SP4-ESPOS postgresql-jdbc Released
SUSE Linux Enterprise Server 12 SP4-LTSS postgresql-jdbc Released
SUSE Linux Enterprise Server 15 SP3-BCL postgresql-jdbc Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 postgresql-jdbc Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 postgresql-jdbc Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 postgresql-jdbc Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 postgresql-jdbc Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 postgresql-jdbc Released
SUSE Manager Proxy 4.2 postgresql-jdbc Not affected
SUSE Manager Retail Branch Server 4.2 postgresql-jdbc Not affected
SUSE Manager Server 4.2 postgresql-jdbc Not affected
SUSE Manager Server Module 4.0 postgresql-jdbc Released
SUSE Manager Server Module 4.1 postgresql-jdbc Released
SUSE Manager Server Module 4.2 postgresql-jdbc Not affected
SUSE OpenStack Cloud 7 postgresql-jdbc Released
SUSE OpenStack Cloud 8 postgresql-jdbc Released
SUSE OpenStack Cloud 9 postgresql-jdbc Released
SUSE OpenStack Cloud Crowbar 8 postgresql-jdbc Released
SUSE OpenStack Cloud Crowbar 9 postgresql-jdbc Released
openSUSE Leap 15.3 postgresql-jdbc Not affected
openSUSE Leap 15.4 postgresql-jdbc Already fixed
Container Status
suse/manager/5.0/x86_64/server
suse/manager/5.0/x86_64/server-attestation
postgresql-jdbcAlready fixed


SUSE Timeline for this CVE

CVE page created: Fri Jun 5 00:59:53 2020
CVE page last modified: Fri Jul 19 17:34:07 2024